import java.util.Scanner;

public class NumeroExtenso {

    static String[] numExtenso = {"zero", "um", "dois", "tres", "quatro", "cinco", "seis", "sete", "oito", "nove", "dez", "onze", "doze", "treze", "quatorze", "quinze", "dezesseis", "dezessete", "dezoito", "dezenove"};
    static String[] dezenas = {"vinte", "trinta", "quarenta", "cinquenta"};

    public static void main(String[] args) {
        Scanner entrada = new Scanner(System.in);

        while (entrada.hasNext()) {
            String texto = entrada.nextLine();
            if (texto.equals("FIM")) {
                break;
            }
            transformaNumero(texto);
        }
    }

    public static void transformaNumero(String texto) {
        int contador = 0;
        for (int i = 0; i < dezenas.length; i++) {
            while (texto.contains((i + 2) + "0")) {
                texto = texto.replaceFirst((i + 2) + "0", dezenas[i]);
                contador++;
            }
        }
        for (int i = 0; i < dezenas.length - 1; i++) {
            for (int j = numExtenso.length - 1; j >= 0; j--) {
                while (texto.contains((i + 2) + "" + j)) {
                    texto = texto.replaceFirst((i + 2) + "" + j, dezenas[i] + " e " + numExtenso[j]);
                    contador++;
                }
            }
        }
        for (int i = numExtenso.length - 1; i >= 0; i--) {
            while (texto.contains(i + "")) {
                texto = texto.replaceFirst(i + "", numExtenso[i]);
                contador++;
            }

        }
        System.out.println(texto + " (" + contador + ")");

    }
}
